#ifndef MCAMNEIGHBOR_H
#define MCAMNEIGHBOR_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

class MCamNeighbor 
{ 
 private: 
  
  Int_t  fNN[577][6] ; 

 public:

  MCamNeighbor() ; 

  Int_t GetNN(Int_t pix, Int_t inn) ; 
  void CheckPixel(Int_t pix) ; 
  void Print(Option_t *opt=NULL) ;

  ClassDef(MCamNeighbor, 1) // Conatins the neighbors in the magic camera
} ; 


#endif

